Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Interface GaugeMonitorMBean

All Superinterfaces:
  MonitorMBean

All Known Implementing Classes:
  GaugeMonitor

public interface GaugeMonitorMBean
extends MonitorMBean

The gauge monitor service MBean interface.

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock

Method Summary
`Number` | `getDerivedGauge()` Deprecated. use `getDerivedGauge(ObjectName)`
`Number` | `getDerivedGauge(ObjectName name)` Retrieves the derived gauge.
`long` | `getDerivedGaugeTimeStamp()` Deprecated. use `getDerivedGaugeTimeStamp(ObjectName)`
`long` | `getDerivedGaugeTimeStamp(ObjectName name)` Retrieves the derived gauge timestamp.
`boolean` | `getDifferenceMode()` Retrieves the difference mode flag.
`Number` | `getHighThreshold()` Retrieves the high threshold.
`Number` | `getLowThreshold()` Retrieves the low threshold.
`boolean` | `getNotifyHigh()` Retrieves the high notify on/off switch.
`boolean` | `getNotifyLow()` Retrieves the low notify on/off switch.
`void` | `setDifferenceMode(boolean value)` Sets the difference mode flag.
`void` | `setNotifyHigh(boolean value)` Sets the high notify on/off switch.
`void` | `setNotifyLow(boolean value)` Sets the low notify on/off switch.
`void` | `setThresholds(Number highValue, Number lowValue)` Sets the high and low threshold.

Methods inherited from interface javax.management.monitor.MonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObject, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, setObservedObject, start, stop`

Method Detail

### getDerivedGauge

    public Number getDerivedGauge()

  Deprecated. use `getDerivedGauge(ObjectName)`

  Retrieves the derived gauge.

  Returns:
    the derived gauge.

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp()

  Deprecated. use `getDerivedGaugeTimeStamp(ObjectName)`

  Retrieves the derived gauge timestamp.

  Returns:
    the derived gauge timestamp.

### getDerivedGauge

    public Number getDerivedGauge(ObjectName name)

  Retrieves the derived gauge.

  Parameters:
    `name` - the object name of the mbean.
  Returns:
    the derived gauge.

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(ObjectName name)

  Retrieves the derived gauge timestamp.

  Parameters:
    `name` - the object name of the mbean.
  Returns:
    the derived gauge timestamp.

### getHighThreshold

    public Number getHighThreshold()

  Retrieves the high threshold. REVIEW: zero threshold

  Returns:
    the high threshold value, zero means no threshold.

### getLowThreshold

    public Number getLowThreshold()

  Retrieves the low threshold. REVIEW: zero threshold

  Returns:
    the low threshold value, zero means no threshold.

### setThresholds

    public void setThresholds(Number highValue,
                              Number lowValue)
                       throws IllegalArgumentException

  Sets the high and low threshold. REVIEW: zero threshold

  Parameters:
    `highValue` - the high threshold value, pass zero for no high threshold.
    `lowValue` - the low threshold value, pass zero for no low threshold.
  Throws:
    `IllegalArgumentException` - when either threshold is null or the high threshold is lower than the low threshold or the. thresholds have different types.

### getNotifyHigh

    public boolean getNotifyHigh()

  Retrieves the high notify on/off switch.

  Returns:
    true if high notifications occur, false otherwise.

### setNotifyHigh

    public void setNotifyHigh(boolean value)

  Sets the high notify on/off switch.

  Parameters:
    `value` - pass true for high notifications, false otherwise.

### getNotifyLow

    public boolean getNotifyLow()

  Retrieves the low notify on/off switch.

  Returns:
    true if low notifications occur, false otherwise.

### setNotifyLow

    public void setNotifyLow(boolean value)

  Sets the low notify on/off switch.

  Parameters:
    `value` - pass true for low notifications, false otherwise.

### getDifferenceMode

    public boolean getDifferenceMode()

  Retrieves the difference mode flag.

  Returns:
    true when in difference mode, false otherwise.

### setDifferenceMode

    public void setDifferenceMode(boolean value)

  Sets the difference mode flag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.